# eric7.PluginManager.PluginUninstallDialog

Module implementing a dialog for plugin deinstallation.

### Global Attributes

None

### Classes

PluginUninstallDialog | Class for the dialog variant.
PluginUninstallWidget | Class implementing a dialog for plugin deinstallation.
PluginUninstallWindow | Main window class for the standalone dialog.

### Functions

None

## PluginUninstallDialog

Class for the dialog variant.

### Derived from

QDialog

### Class Attributes

None

### Class Methods

None

### Methods

PluginUninstallDialog | Constructor

### Static Methods

None

#### PluginUninstallDialog (Constructor)

PluginUninstallDialog(pluginManager, parent=None)

Constructor

pluginManager
  reference to the plugin manager object
parent
  reference to the parent widget (QWidget)

Up

## PluginUninstallWidget

Class implementing a dialog for plugin deinstallation.

### Signals

accepted()
  emitted to indicate the removal of a plug-in

### Derived from

QWidget, Ui_PluginUninstallDialog

### Class Attributes

None

### Class Methods

None

### Methods

PluginUninstallWidget | Constructor
__getCheckedPlugins | Private method to get the list of plugins to be uninstalled.
__uninstallPlugin | Private method to uninstall a given plugin.
__uninstallPlugins | Private method to uninstall the selected plugins.
on_buttonBox_accepted | Private slot to handle the accepted signal of the button box.
on_pluginDirectoryCombo_currentIndexChanged | Private slot to populate the plugin name combo upon a change of the plugin area.

### Static Methods

None

#### PluginUninstallWidget (Constructor)

PluginUninstallWidget(pluginManager, parent=None)

Constructor

pluginManager
  reference to the plugin manager object
parent
  parent of this dialog (QWidget)

#### PluginUninstallWidget.__getCheckedPlugins

__getCheckedPlugins()

Private method to get the list of plugins to be uninstalled.

Return:
  list of tuples with the plugin name and plugin file name

Return Type:
  list of tuples of (str, str)

#### PluginUninstallWidget.__uninstallPlugin

__uninstallPlugin(pluginName, pluginFile)

Private method to uninstall a given plugin.

pluginName (str)
  name of the plugin
pluginFile (str)
  file name of the plugin

Return:
  flag indicating success

Return Type:
  bool

#### PluginUninstallWidget.__uninstallPlugins

__uninstallPlugins()

Private method to uninstall the selected plugins.

Return:
  flag indicating success

Return Type:
  bool

#### PluginUninstallWidget.on_buttonBox_accepted

on_buttonBox_accepted()

Private slot to handle the accepted signal of the button box.

#### PluginUninstallWidget.on_pluginDirectoryCombo_currentIndexChanged

on_pluginDirectoryCombo_currentIndexChanged(index)

Private slot to populate the plugin name combo upon a change of the plugin area.

index
  index of the selected item (integer)

Up

## PluginUninstallWindow

Main window class for the standalone dialog.

### Derived from

EricMainWindow

### Class Attributes

None

### Class Methods

None

### Methods

PluginUninstallWindow | Constructor

### Static Methods

None

#### PluginUninstallWindow (Constructor)

PluginUninstallWindow(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

Up